(function(win,doc){"use strict";(function(){var method;var noop=function(){};var methods=["assert","clear","count","debug","dir","dirxml","error","exception","group","groupCollapsed","groupEnd","info","log","markTimeline","profile","profileEnd","table","time","timeEnd","timeline","timelineEnd","timeStamp","trace","warn"];var length=methods.length;var console=window.console=window.console||{};while(length--){method=methods[length];if(!console[method]){console[method]=noop}}})();if(!doc.querySelectorAll){return false}var EMPTY="",CALC_RULE="^(\\s*?[\\s\\S]*):(\\s*?[\\s\\S]*?((\\-(webkit|moz)\\-)?calc\\(([\\s\\S]+)\\))[\\s\\S]*)?$",CSSRULES="((\\s*?@media[\\s\\S]*?){([\\s\\S]*?)}\\s*?})|(([\\s\\S]*?){([\\s\\S]*?)})",KEYFRAMES=new RegExp("((@(-webkit-)?keyframes [\\s\\S]*?){([\\s\\S]*?}\\s*?)})","gi"),FONTFACE=new RegExp("((@font-face\\s*?){([\\s\\S]*?)})","gi"),COMMENTS=new RegExp("(\\/\\*[\\s\\S]*?\\*\\/)","gi"),IMPORTS=new RegExp("@import .*?;","gi"),CHARSET=new RegExp("@charset .*?;","gi"),PERCENT=/[\d\.]+%/,PT=/\d+pt/,PIXEL=/(\d+)px/g,REMEM=/[\d\.]+r?em/,REM=/[\d\.]+rem/,EM=/[\d\.]+em/,MATH_EXP=/[\+\-\/\*]?[\d\.]+(px|%|em|rem)?/g,PLACEHOLDER="$1",ONLYNUMBERS=/[\s\-0-9]/g,FONTSIZE="font-size",ADDMEDIA="@media",onTextResize=[],onWindowResize=[],cssTexts=[],docLoaded=false;var utilities={camelize:function(str){return str.replace(/\-(\w)/g,function(str,letter){return letter.toUpperCase()})},trim:function(str){var rtrim=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g;return!String.prototype.trim?str.replace(rtrim,""):str.trim()},indexOf:function(arr,el,from){var len=arr.length>>>0;from=Number(from)||0;from=from<0?Math.ceil(from):Math.floor(from);if(from<0){from+=len}for(;from<len;from++){if(from in arr&&arr[from]===el)return from}return-1},getStyle:function(el,prop){if(el.currentStyle){return el.currentStyle[utilities.camelize(prop)]}else if(doc.defaultView&&doc.defaultView.getComputedStyle){return doc.defaultView.getComputedStyle(el,null).getPropertyValue(prop)}else{return el.style[utilities.camelize(prop)]}},getFontsize:function(obj){var size;var test=doc.createElement("span");test.innerHTML="&nbsp;";test.style.position="absolute";test.style.lineHeight="1em";test.style.fontSize="1em";obj.appendChild(test);size=test.offsetHeight;obj.removeChild(test);return size},addEvent:function(el,type,fn){if(doc.addEventListener){el.addEventListener(type,fn,false)}else{el.attachEvent("on"+type,fn)}},textResize:function(cb){var el,currentSize;var createControlElement=function(){el=doc.createElement("span");el.id="text-resize-control";el.innerHTML="&nbsp;";el.style.position="absolute";el.style.left="-9999px";el.style.lineHeight="1em";el.style.fontSize="1em";doc.body.insertBefore(el,doc.body.firstChild);currentSize=el.offsetHeight},detectChange=function(){var now=el.offsetHeight;if(currentSize===now){win.requestAnimationFrame(detectChange);return false}currentSize=now;if(cb&&typeof cb==="function"){cb()}win.requestAnimationFrame(detectChange)};createControlElement();win.requestAnimationFrame(detectChange)}};var calcTest=function(){var el=document.createElement("div");el.style.cssText="width: -moz-calc(10px); width: -webkit-calc(10px); width: calc(10px)";return!!el.style.length},getStyleSheets=function(){var stylesheets=[];var index=0;var len=doc.styleSheets.length;var stylesheet;for(;index<len;index++){stylesheet=doc.styleSheets[index];cssTexts[index]="";if(stylesheet.href&&stylesheet.href!==EMPTY){if(stylesheet.rawCssText&&stylesheet.rawCssText!==EMPTY){cssTexts[index]=stylesheet.rawCssText}else{stylesheets.push(stylesheet.href)}}else if(stylesheet.ownerNode&&stylesheet.ownerNode.nodeName.toLowerCase()==="style"){cssTexts[index]=stylesheet.ownerNode.textContent}}if(stylesheets.length>0||cssTexts.length>0){loadStylesheets(stylesheets)}},loadStylesheets=function(urls){var xhr;var index=0;var len=urls.length;if(win.XMLHttpRequest){xhr=new XMLHttpRequest}else{try{xhr=new ActiveXObject("Microsoft.XMLHTTP")}catch(e){xhr=null}}if(xhr){for(;index<len;index++){try{xhr.open("GET",urls[index],false);xhr.send();if(xhr.status===200){cssTexts[index]=xhr.responseText}}catch(e){console.log("Error making request for file "+urls[index]+": "+e.message)}}}if(cssTexts.length>0){parseStylesheets(cssTexts)}},parseStylesheets=function(texts){var index=0;var len=texts.length;for(;index<len;index++){if(texts[index].length){texts[index]=texts[index].replace(COMMENTS,EMPTY).replace(CHARSET,EMPTY).replace(IMPORTS,EMPTY).replace(KEYFRAMES,EMPTY).replace(FONTFACE,EMPTY);dotheCalc(parseCSS(texts[index]))}}},removeStyles=function(elements){var index=0;var len=elements.length;for(;index<len;index++){if(!JSON.parse(elements[index].getAttribute("data-calced"))){elements[index].removeAttribute("style")}}},parseCSS=function(css,media){var index,len,regex,result,selector,rules,calc,elements,obj,mediaQueryStyleSheet,refSheet;var arr=[];media=media||"";regex=new RegExp(CSSRULES,"gi");while(true){result=regex.exec(css);if(result===null){break}selector=utilities.trim((result[2]||result[5]).split("\r\n").join("\n"));if(selector.indexOf(ADDMEDIA)!==-1){rules=result[3]+"\n}";arr=arr.concat(parseCSS(rules,selector.replace(ADDMEDIA,"")))}else{rules=result[6].split("\r\n").join("\n").split(";");index=0;len=rules.length;for(;index<len;index++){calc=new RegExp(CALC_RULE,"gi").exec(rules[index]);try{elements=doc.querySelectorAll(selector)}catch(e){console.log('Error trying to select "'+selector+'": '+e.message);break}if(calc!==null&&elements.length){obj={elements:elements,media:media,values:utilities.trim(calc[2]),formula:calc[6],prop:utilities.trim(calc[1]),placholder:utilities.trim(calc[3])};if(obj.formula.match(PERCENT)){obj.onresize=true}if(obj.formula.match(REMEM)){obj.ontextresize=true}arr.push(obj)}}}}return arr},dotheCalc=function(calcRules){var index=0;var len=calcRules.length;var obj;var calc=function(obj){var i=0;var len=obj.elements.length;var refValue,modifier,matches,l,j,result,formula;for(;i<len;i++){formula=obj.formula.replace(PIXEL,PLACEHOLDER);matches=formula.match(MATH_EXP);l=matches.length;j=0;for(;j<l;j++){modifier=null;if(matches[j].match(PERCENT)){refValue=obj.elements[i].parentNode.clientWidth;modifier=parseFloat(matches[j],10)/100}if(matches[j].match(EM)){refValue=obj.elements[i].currentStyle?utilities.getFontsize(obj.elements[i]):parseInt(utilities.getStyle(obj.elements[i],FONTSIZE).replace(/px/,EMPTY),10);if(refValue.match&&refValue.match(PT)){refValue=Math.round(parseInt(refValue.replace(/pt/,""),10)*1.333333333)}modifier=parseFloat(matches[j],10)}if(matches[j].match(REM)){if(utilities.getStyle(doc.body,FONTSIZE).match(PERCENT)){refValue=16*parseInt(utilities.getStyle(doc.body,FONTSIZE).replace(/%/,EMPTY),10)/100}else if(utilities.getStyle(doc.body,FONTSIZE).match(PT)){refValue=Math.round(parseInt(utilities.getStyle(doc.body,FONTSIZE).replace(/pt/,""),10)*1.333333333)}else{refValue=parseInt(utilities.getStyle(doc.body,FONTSIZE).replace(/px/,EMPTY),10)}modifier=parseFloat(matches[j],10)}if(modifier){formula=formula.replace(matches[j],refValue*modifier)}}try{if(formula.match(ONLYNUMBERS)){result=eval(formula);obj.elements[i].style[utilities.trim(utilities.camelize(obj.prop))]=obj.values.replace(obj.placholder,result+"px");obj.elements[i].setAttribute("data-calced",true)}}catch(e){}}};for(;index<len;index++){obj=calcRules[index];if(obj.onresize&&utilities.indexOf(onWindowResize,obj)===-1){onWindowResize.push(obj)}if(obj.ontextresize&&utilities.indexOf(onTextResize,obj)===-1){onTextResize.push(obj)}if(obj.media!==EMPTY){if(win.matchMedia&&win.matchMedia(obj.media).matches){calc(obj)}else{removeStyles(obj.elements)}}else{calc(obj)}}};win.dotheCalc=function(){if(cssTexts.length>0&&docLoaded){parseStylesheets(cssTexts)}};contentLoaded(win,function(){if(calcTest()){return}docLoaded=true;getStyleSheets();if(onTextResize.length>0){utilities.textResize(function(){dotheCalc(onTextResize)})}if(onWindowResize.length>0){utilities.addEvent(win,"resize",function(){dotheCalc(onWindowResize)})}});function contentLoaded(win,fn){var done=false,top=true,doc=win.document,root=doc.documentElement,modern=doc.addEventListener,add=modern?"addEventListener":"attachEvent",rem=modern?"removeEventListener":"detachEvent",pre=modern?"":"on",init=function(e){if(e.type=="readystatechange"&&doc.readyState!="complete")return;(e.type=="load"?win:doc)[rem](pre+e.type,init,false);if(!done&&(done=true))fn.call(win,e.type||e)},poll=function(){try{root.doScroll("left")}catch(e){setTimeout(poll,50);return}init("poll")};if(doc.readyState=="complete")fn.call(win,"lazy");else{if(!modern&&root.doScroll){try{top=!win.frameElement}catch(e){}if(top)poll()}doc[add](pre+"DOMContentLoaded",init,false);doc[add](pre+"readystatechange",init,false);win[add](pre+"load",init,false)}}(function(global){(function(){if(global.requestAnimationFrame){return}if(global.webkitRequestAnimationFrame){global.requestAnimationFrame=global["webkitRequestAnimationFrame"];global.cancelAnimationFrame=global["webkitCancelAnimationFrame"]||global["webkitCancelRequestAnimationFrame"]}var lastTime=0;global.requestAnimationFrame=function(callback){var currTime=(new Date).getTime();var timeToCall=Math.max(0,16-(currTime-lastTime));var id=global.setTimeout(function(){callback(currTime+timeToCall)},timeToCall);lastTime=currTime+timeToCall;return id};global.cancelAnimationFrame=function(id){clearTimeout(id)}})();if(typeof define==="function"){define(function(){return global.requestAnimationFrame})}})(window)})(window,document);(function(win){var ieUserAgent=navigator.userAgent.match(/MSIE (\d+)/);if(!ieUserAgent){return false}var doc=document;var root=doc.documentElement;var xhr=getXHRObject();var ieVersion=ieUserAgent[1];if(doc.compatMode!="CSS1Compat"||ieVersion<6||ieVersion>8||!xhr){return}var selectorEngines={NW:"*.Dom.select",MooTools:"$$",DOMAssistant:"*.$",Prototype:"$$",YAHOO:"*.util.Selector.query",Sizzle:"*",jQuery:"*",dojo:"*.query"};var selectorMethod;var enabledWatchers=[];var domPatches=[];var ie6PatchID=0;var patchIE6MultipleClasses=true;var namespace="slvzr";var RE_COMMENT=/(\/\*[^*]*\*+([^\/][^*]*\*+)*\/)\s*?/g;var RE_IMPORT=/@import\s*(?:(?:(?:url\(\s*(['"]?)(.*)\1)\s*\))|(?:(['"])(.*)\3))\s*([^;]*);/g;var RE_ASSET_URL=/(behavior\s*?:\s*)?\burl\(\s*(["']?)(?!data:)([^"')]+)\2\s*\)/g;var RE_PSEUDO_STRUCTURAL=/^:(empty|(first|last|only|nth(-last)?)-(child|of-type))$/;var RE_PSEUDO_ELEMENTS=/:(:first-(?:line|letter))/g;var RE_SELECTOR_GROUP=/((?:^|(?:\s*})+)(?:\s*@media[^{]+{)?)\s*([^\{]*?[\[:][^{]+)/g;var RE_SELECTOR_PARSE=/([ +~>])|(:[a-z-]+(?:\(.*?\)+)?)|(\[.*?\])/g;var RE_LIBRARY_INCOMPATIBLE_PSEUDOS=/(:not\()?:(hover|enabled|disabled|focus|checked|target|active|visited|first-line|first-letter)\)?/g;var RE_PATCH_CLASS_NAME_REPLACE=/[^\w-]/g;var RE_INPUT_ELEMENTS=/^(INPUT|SELECT|TEXTAREA|BUTTON)$/;var RE_INPUT_CHECKABLE_TYPES=/^(checkbox|radio)$/;var BROKEN_ATTR_IMPLEMENTATIONS=ieVersion>6?/[\$\^*]=(['"])\1/:null;var RE_TIDY_TRAILING_WHITESPACE=/([(\[+~])\s+/g;var RE_TIDY_LEADING_WHITESPACE=/\s+([)\]+~])/g;var RE_TIDY_CONSECUTIVE_WHITESPACE=/\s+/g;var RE_TIDY_TRIM_WHITESPACE=/^\s*((?:[\S\s]*\S)?)\s*$/;var EMPTY_STRING="";var SPACE_STRING=" ";var PLACEHOLDER_STRING="$1";function patchStyleSheet(cssText){return cssText.replace(RE_PSEUDO_ELEMENTS,PLACEHOLDER_STRING).replace(RE_SELECTOR_GROUP,function(m,prefix,selectorText){var selectorGroups=selectorText.split(",");function comboBreaker(match,combinator,pseudo,attribute,index){if(combinator){if(patches.length>0){domPatches.push({selector:selector.substring(0,index),patches:patches});patches=[]}return combinator}else{var patch=pseudo?patchPseudoClass(pseudo):patchAttribute(attribute);if(patch){patches.push(patch);return"."+patch.className}return match}}for(var c=0,cs=selectorGroups.length;c<cs;c++){var selector=normalizeSelectorWhitespace(selectorGroups[c])+SPACE_STRING;var patches=[];selectorGroups[c]=selector.replace(RE_SELECTOR_PARSE,comboBreaker)}return prefix+selectorGroups.join(",")})}function patchAttribute(attr){return!BROKEN_ATTR_IMPLEMENTATIONS||BROKEN_ATTR_IMPLEMENTATIONS.test(attr)?{className:createClassName(attr),applyClass:true}:null}function patchPseudoClass(pseudo){var applyClass=true;var className=createClassName(pseudo.slice(1));var isNegated=pseudo.substring(0,5)==":not(";var activateEventName;var deactivateEventName;if(isNegated){pseudo=pseudo.slice(5,-1)}var bracketIndex=pseudo.indexOf("(");if(bracketIndex>-1){pseudo=pseudo.substring(0,bracketIndex)}if(pseudo.charAt(0)==":"){switch(pseudo.slice(1)){case"root":applyClass=function(e){return isNegated?e!=root:e==root};break;case"target":if(ieVersion==8){applyClass=function(e){var handler=function(){var hash=location.hash;var hashID=hash.slice(1);return isNegated?hash==EMPTY_STRING||e.id!=hashID:hash!=EMPTY_STRING&&e.id==hashID};addEvent(win,"hashchange",function(){toggleElementClass(e,className,handler())});return handler()};break}return false;case"checked":applyClass=function(e){if(RE_INPUT_CHECKABLE_TYPES.test(e.type)){addEvent(e,"propertychange",function(){if(event.propertyName=="checked"){toggleElementClass(e,className,e.checked!==isNegated)}})}return e.checked!==isNegated};break;case"disabled":isNegated=!isNegated;break;case"enabled":applyClass=function(e){if(RE_INPUT_ELEMENTS.test(e.tagName)){addEvent(e,"propertychange",function(){if(event.propertyName=="$disabled"){toggleElementClass(e,className,e.$disabled===isNegated)}});enabledWatchers.push(e);e.$disabled=e.disabled;return e.disabled===isNegated}return pseudo==":enabled"?isNegated:!isNegated};break;case"focus":activateEventName="focus";deactivateEventName="blur";break;case"hover":if(!activateEventName){activateEventName="mouseenter";deactivateEventName="mouseleave"}applyClass=function(e){addEvent(e,isNegated?deactivateEventName:activateEventName,function(){toggleElementClass(e,className,true)});addEvent(e,isNegated?activateEventName:deactivateEventName,function(){toggleElementClass(e,className,false)});return isNegated};break;default:if(!RE_PSEUDO_STRUCTURAL.test(pseudo)){return false}break}}return{className:className,applyClass:applyClass}}function applyPatches(){var elms,selectorText,patches,domSelectorText;for(var c=0;c<domPatches.length;c++){selectorText=domPatches[c].selector;patches=domPatches[c].patches;domSelectorText=selectorText.replace(RE_LIBRARY_INCOMPATIBLE_PSEUDOS,EMPTY_STRING);if(domSelectorText==EMPTY_STRING||domSelectorText.charAt(domSelectorText.length-1)==SPACE_STRING){domSelectorText+="*"}try{elms=selectorMethod(domSelectorText)}catch(ex){log("Selector '"+selectorText+"' threw exception '"+ex+"'")}if(elms){for(var d=0,dl=elms.length;d<dl;d++){var elm=elms[d];var cssClasses=elm.className;for(var f=0,fl=patches.length;f<fl;f++){var patch=patches[f];if(!hasPatch(elm,patch)){if(patch.applyClass&&(patch.applyClass===true||patch.applyClass(elm)===true)){cssClasses=toggleClass(cssClasses,patch.className,true)}}}elm.className=cssClasses}}}}function hasPatch(elm,patch){return new RegExp("(^|\\s)"+patch.className+"(\\s|$)").test(elm.className)}function createClassName(className){return namespace+"-"+(ieVersion==6&&patchIE6MultipleClasses?ie6PatchID++:className.replace(RE_PATCH_CLASS_NAME_REPLACE,function(a){return a.charCodeAt(0)}))}function log(message){if(win.console){win.console.log(message)}}function trim(text){return text.replace(RE_TIDY_TRIM_WHITESPACE,PLACEHOLDER_STRING)}function normalizeWhitespace(text){return trim(text).replace(RE_TIDY_CONSECUTIVE_WHITESPACE,SPACE_STRING)}function normalizeSelectorWhitespace(selectorText){return normalizeWhitespace(selectorText.replace(RE_TIDY_TRAILING_WHITESPACE,PLACEHOLDER_STRING).replace(RE_TIDY_LEADING_WHITESPACE,PLACEHOLDER_STRING))}function toggleElementClass(elm,className,on){var oldClassName=elm.className;var newClassName=toggleClass(oldClassName,className,on);if(newClassName!=oldClassName){elm.className=newClassName;elm.parentNode.className+=EMPTY_STRING}}function toggleClass(classList,className,on){var re=RegExp("(^|\\s)"+className+"(\\s|$)");var classExists=re.test(classList);if(on){return classExists?classList:classList+SPACE_STRING+className}else{return classExists?trim(classList.replace(re,PLACEHOLDER_STRING)):classList}}function addEvent(elm,eventName,eventHandler){elm.attachEvent("on"+eventName,eventHandler)}function getXHRObject(){if(win.XMLHttpRequest){return new XMLHttpRequest}try{return new ActiveXObject("Microsoft.XMLHTTP")}catch(e){return null}}function loadStyleSheet(url){xhr.open("GET",url,false);xhr.send();return xhr.status==200?xhr.responseText:EMPTY_STRING}function resolveUrl(url,contextUrl,ignoreSameOriginPolicy){function getProtocol(url){return url.substring(0,url.indexOf("//"))}function getProtocolAndHost(url){return url.substring(0,url.indexOf("/",8))}if(!contextUrl){contextUrl=baseUrl}if(url.substring(0,2)=="//"){url=getProtocol(contextUrl)+url}if(/^https?:\/\//i.test(url)){return!ignoreSameOriginPolicy&&getProtocolAndHost(contextUrl)!=getProtocolAndHost(url)?null:url}if(url.charAt(0)=="/"){return getProtocolAndHost(contextUrl)+url}var contextUrlPath=contextUrl.split(/[?#]/)[0];if(url.charAt(0)!="?"&&contextUrlPath.charAt(contextUrlPath.length-1)!="/"){contextUrlPath=contextUrlPath.substring(0,contextUrlPath.lastIndexOf("/")+1)}return contextUrlPath+url}function parseStyleSheet(url){if(url){return loadStyleSheet(url).replace(RE_COMMENT,EMPTY_STRING).replace(RE_IMPORT,function(match,quoteChar,importUrl,quoteChar2,importUrl2,media){var cssText=parseStyleSheet(resolveUrl(importUrl||importUrl2,url));return media?"@media "+media+" {"+cssText+"}":cssText}).replace(RE_ASSET_URL,function(match,isBehavior,quoteChar,assetUrl){quoteChar=quoteChar||EMPTY_STRING;return isBehavior?match:" url("+quoteChar+resolveUrl(assetUrl,url,true)+quoteChar+") "})}return EMPTY_STRING}function getStyleSheets(){var url,stylesheet;for(var c=0;c<doc.styleSheets.length;c++){stylesheet=doc.styleSheets[c];if(stylesheet.href!=EMPTY_STRING){url=resolveUrl(stylesheet.href);if(url){stylesheet.cssText=stylesheet.rawCssText=patchStyleSheet(parseStyleSheet(url))}}}}function init(){applyPatches();if(enabledWatchers.length>0){setInterval(function(){for(var c=0,cl=enabledWatchers.length;c<cl;c++){var e=enabledWatchers[c];if(e.disabled!==e.$disabled){if(e.disabled){e.disabled=false;e.$disabled=true;e.disabled=true}else{e.$disabled=e.disabled}}}},250)}}var baseTags=doc.getElementsByTagName("BASE");var baseUrl=baseTags.length>0?baseTags[0].href:doc.location.href;getStyleSheets();ContentLoaded(win,function(){for(var engine in selectorEngines){var members,member,context=win;if(win[engine]){members=selectorEngines[engine].replace("*",engine).split(".");while((member=members.shift())&&(context=context[member])){}if(typeof context=="function"){selectorMethod=context;init();return}}}});function ContentLoaded(win,fn){var done=false,top=true,init=function(e){if(e.type=="readystatechange"&&doc.readyState!="complete")return;(e.type=="load"?win:doc).detachEvent("on"+e.type,init,false);if(!done&&(done=true))fn.call(win,e.type||e)},poll=function(){try{root.doScroll("left")}catch(e){setTimeout(poll,50);return}init("poll")};if(doc.readyState=="complete")fn.call(win,EMPTY_STRING);else{if(doc.createEventObject&&root.doScroll){try{top=!win.frameElement}catch(e){}if(top)poll()}addEvent(doc,"readystatechange",init);addEvent(win,"load",init)}}})(this);(function(w){"use strict";w.matchMedia=w.matchMedia||function(doc,undefined){var bool,docElem=doc.documentElement,refNode=docElem.firstElementChild||docElem.firstChild,fakeBody=doc.createElement("body"),div=doc.createElement("div");div.id="mq-test-1";div.style.cssText="position:absolute;top:-100em";fakeBody.style.background="none";fakeBody.appendChild(div);return function(q){div.innerHTML='&shy;<style media="'+q+'"> #mq-test-1 { width: 42px; }</style>';docElem.insertBefore(fakeBody,refNode);bool=div.offsetWidth===42;docElem.removeChild(fakeBody);return{matches:bool,media:q}}}(w.document)})(this);(function(w){"use strict";var respond={};w.respond=respond;respond.update=function(){};var requestQueue=[],xmlHttp=function(){var xmlhttpmethod=false;try{xmlhttpmethod=new w.XMLHttpRequest}catch(e){xmlhttpmethod=new w.ActiveXObject("Microsoft.XMLHTTP")}return function(){return xmlhttpmethod}}(),ajax=function(url,callback){var req=xmlHttp();if(!req){return}req.open("GET",url,true);req.onreadystatechange=function(){if(req.readyState!==4||req.status!==200&&req.status!==304){return}callback(req.responseText)};if(req.readyState===4){return}req.send(null)};respond.ajax=ajax;respond.queue=requestQueue;respond.regex={media:/@media[^\{]+\{([^\{\}]*\{[^\}\{]*\})+/gi,keyframes:/@(?:\-(?:o|moz|webkit)\-)?keyframes[^\{]+\{(?:[^\{\}]*\{[^\}\{]*\})+[^\}]*\}/gi,urls:/(url\()['"]?([^\/\)'"][^:\)'"]+)['"]?(\))/g,findStyles:/@media *([^\{]+)\{([\S\s]+?)$/,only:/(only\s+)?([a-zA-Z]+)\s?/,minw:/\([\s]*min\-width\s*:[\s]*([\s]*[0-9\.]+)(px|em)[\s]*\)/,maxw:/\([\s]*max\-width\s*:[\s]*([\s]*[0-9\.]+)(px|em)[\s]*\)/};respond.mediaQueriesSupported=w.matchMedia&&w.matchMedia("only all")!==null&&w.matchMedia("only all").matches;if(respond.mediaQueriesSupported){return}var doc=w.document,docElem=doc.documentElement,mediastyles=[],rules=[],appendedEls=[],parsedSheets={},resizeThrottle=30,head=doc.getElementsByTagName("head")[0]||docElem,base=doc.getElementsByTagName("base")[0],links=head.getElementsByTagName("link"),lastCall,resizeDefer,eminpx,getEmValue=function(){var ret,div=doc.createElement("div"),body=doc.body,originalHTMLFontSize=docElem.style.fontSize,originalBodyFontSize=body&&body.style.fontSize,fakeUsed=false;div.style.cssText="position:absolute;font-size:1em;width:1em";if(!body){body=fakeUsed=doc.createElement("body");body.style.background="none"}docElem.style.fontSize="100%";body.style.fontSize="100%";body.appendChild(div);if(fakeUsed){docElem.insertBefore(body,docElem.firstChild)}ret=div.offsetWidth;if(fakeUsed){docElem.removeChild(body)}else{body.removeChild(div)}docElem.style.fontSize=originalHTMLFontSize;if(originalBodyFontSize){body.style.fontSize=originalBodyFontSize}ret=eminpx=parseFloat(ret);return ret},applyMedia=function(fromResize){var name="clientWidth",docElemProp=docElem[name],currWidth=doc.compatMode==="CSS1Compat"&&docElemProp||doc.body[name]||docElemProp,styleBlocks={},lastLink=links[links.length-1],now=(new Date).getTime();if(fromResize&&lastCall&&now-lastCall<resizeThrottle){w.clearTimeout(resizeDefer);resizeDefer=w.setTimeout(applyMedia,resizeThrottle);return}else{lastCall=now}for(var i in mediastyles){if(mediastyles.hasOwnProperty(i)){var thisstyle=mediastyles[i],min=thisstyle.minw,max=thisstyle.maxw,minnull=min===null,maxnull=max===null,em="em";if(!!min){min=parseFloat(min)*(min.indexOf(em)>-1?eminpx||getEmValue():1)}if(!!max){max=parseFloat(max)*(max.indexOf(em)>-1?eminpx||getEmValue():1)}if(!thisstyle.hasquery||(!minnull||!maxnull)&&(minnull||currWidth>=min)&&(maxnull||currWidth<=max)){if(!styleBlocks[thisstyle.media]){styleBlocks[thisstyle.media]=[]}styleBlocks[thisstyle.media].push(rules[thisstyle.rules])}}}for(var j in appendedEls){if(appendedEls.hasOwnProperty(j)){if(appendedEls[j]&&appendedEls[j].parentNode===head){head.removeChild(appendedEls[j])}}}appendedEls.length=0;for(var k in styleBlocks){if(styleBlocks.hasOwnProperty(k)){var ss=doc.createElement("style"),css=styleBlocks[k].join("\n");ss.type="text/css";ss.media=k;head.insertBefore(ss,lastLink.nextSibling);if(ss.styleSheet){ss.styleSheet.cssText=css}else{ss.appendChild(doc.createTextNode(css))}appendedEls.push(ss)}}},translate=function(styles,href,media){var qs=styles.replace(respond.regex.keyframes,"").match(respond.regex.media),ql=qs&&qs.length||0;href=href.substring(0,href.lastIndexOf("/"));var repUrls=function(css){return css.replace(respond.regex.urls,"$1"+href+"$2$3")},useMedia=!ql&&media;if(href.length){href+="/"}if(useMedia){ql=1}for(var i=0;i<ql;i++){var fullq,thisq,eachq,eql;if(useMedia){fullq=media;rules.push(repUrls(styles))}else{fullq=qs[i].match(respond.regex.findStyles)&&RegExp.$1;rules.push(RegExp.$2&&repUrls(RegExp.$2))}eachq=fullq.split(",");eql=eachq.length;for(var j=0;j<eql;j++){thisq=eachq[j];mediastyles.push({media:thisq.split("(")[0].match(respond.regex.only)&&RegExp.$2||"all",rules:rules.length-1,hasquery:thisq.indexOf("(")>-1,minw:thisq.match(respond.regex.minw)&&parseFloat(RegExp.$1)+(RegExp.$2||""),maxw:thisq.match(respond.regex.maxw)&&parseFloat(RegExp.$1)+(RegExp.$2||"")})}}applyMedia()},makeRequests=function(){if(requestQueue.length){var thisRequest=requestQueue.shift();ajax(thisRequest.href,function(styles){translate(styles,thisRequest.href,thisRequest.media);parsedSheets[thisRequest.href]=true;w.setTimeout(function(){makeRequests()},0)})}},ripCSS=function(){for(var i=0;i<links.length;i++){var sheet=links[i],href=sheet.href,media=sheet.media,isCSS=sheet.rel&&sheet.rel.toLowerCase()==="stylesheet";if(!!href&&isCSS&&!parsedSheets[href]){if(sheet.styleSheet&&sheet.styleSheet.rawCssText){translate(sheet.styleSheet.rawCssText,href,media);parsedSheets[href]=true}else{if(!/^([a-zA-Z:]*\/\/)/.test(href)&&!base||href.replace(RegExp.$1,"").split("/")[0]===w.location.host){if(href.substring(0,2)==="//"){href=w.location.protocol+href}requestQueue.push({href:href,media:media})}}}}makeRequests()};ripCSS();respond.update=ripCSS;respond.getEmValue=getEmValue;function callMedia(){applyMedia(true)}if(w.addEventListener){w.addEventListener("resize",callMedia,false)}else if(w.attachEvent){w.attachEvent("onresize",callMedia)}})(this);